Page MenuHomePhabricator

Upgrade Exim to >=4.73
Closed, ResolvedPublic

Description

We get lots of messages like this. I just looked it up:
https://lists.exim.org/lurker/message/20130131.180840.826e383d.en.html
Known bug (should be warn, not panic), fixed in 4.73. We currently use 4.71.

---------- Forwarded message ----------
From: root <root at sanger>
Date: Thu, Feb 13, 2014 at 10:39 PM
Subject: exim paniclog on sanger.wikimedia.org has non-zero size
To: <root at sanger>
exim paniclog /var/log/exim4/paniclog on sanger.wikimedia.org has non-zero
size, mail system might be broken. The last 10 lines are quoted below.
2014-01-11 18:59:06 1W23ly-0008Gm-Fd DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-20 14:46:43 1W5G7f-0004ms-LW DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-22 18:36:31 1W62f9-00044m-H7 DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-22 19:45:21 1W63jl-0005lh-E7 DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-24 15:13:11 1W6iRT-0004oI-4t DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-24 18:58:42 1W6lxi-0007s9-U4 DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-29 03:52:45 1W8MCi-0005qx-U9 DKIM: Error while running this message
through validation, disabling signature verification.
2014-01-29 04:00:25 1W8MK9-0005vA-4v DKIM: Error while running this message
through validation, disabling signature verification.
2014-02-04 12:52:44 1WAfUa-0000zf-8u DKIM: Error while running this message
through validation, disabling signature verification.
2014-02-04 12:52:57 1WAfUn-000100-3z DKIM: Error while running this message
through validation, disabling signature verification.

Details

Reference
rt6844

Related Objects

StatusSubtypeAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
InvalidDzahn
ResolvedDzahn
ResolvedDzahn
DeclinedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 1:49 AM
rtimport added a project: ops-core.
rtimport set Reference to rt6844.
Gage created this task.Feb 14 2014, 7:08 PM
faidon added a subscriber: faidon.

The only server left with an old exim is sodium, by virtue of being a lucid box.

faidon updated the task description. (Show Details)Dec 18 2014, 5:23 PM
faidon changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".
faidon changed the edit policy from "WMF-NDA (Project)" to "All Users".
faidon set Security to None.
Dzahn claimed this task.Sep 2 2015, 7:00 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 2 2015, 7:00 PM

exim on fermium is 4.84-8

exim on sodium is not used anymore now

Dzahn closed this task as Resolved.Sep 18 2015, 10:09 PM